.cursor {
    width: 38px;
    height: 38px;
    border: 2px solid var(--www);
    border-radius: 50%;
    position: fixed;
    z-index: 10000;
    transform: translate(-19px, -19px);
    background-color: var(--shd);
    pointer-events: none;
}

.cursor::before {
    content: '';
    width: 7px;
    height: 7px;
    border-radius: 50%;
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: var(--www);
}

@media (max-width: 849px) {
    header {
        width: 100%;
        padding: 7px 15px;
        background-color: var(--www);
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
    }
    header.scroll {
        padding: 12px 15px;
        box-shadow: 0 0 10px var(--shd);
    }
    header .btn {
        border-radius: 30px;
        font-size: 14px;
        padding: 5px;
    }
    header img {
        height: 36px;
    }
    header nav a {
        display: none;
    }
    header nav a:hover {
        color: var(--sub);
    }
    .btn-sider {
        display: block;
        width: 40px;
        height: 40px;
        position: relative;
        cursor: pointer;
        border-radius: 15px;
    }
    .btn-sider::before {
        content: '';
        position: absolute;
        background-color: var(--main);
        width: 32px;
        height: 4px;
        border-radius: 3px;
        left: 4px;
        top: 10px;
        transition: all 0.3s;
    }
    .btn-sider::after {
        content: '';
        position: absolute;
        background-color: var(--main);
        width: 32px;
        height: 4px;
        border-radius: 3px;
        left: 4px;
        bottom: 10px;
        transition: all 0.3s;
    }
    .btn-sider.c::before {
        transform: rotate(135deg);
        top: 18px;
    }
    .btn-sider.c::after {
        transform: rotate(225deg);
        bottom: 18px;
    }
    aside {
        width: 300px;
        position: fixed;
        z-index: 9999;
        top: calc(50% - 150px);
        left: calc(50% - 150px);
        background: linear-gradient(135deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
        backdrop-filter: blur(2px);
        text-align: center;
        padding: 25px;
        border-radius: 15px;
        transform: scale(0);
    }
    aside.show {
        transform: scale(1);
    }
    aside nav {
        display: grid;
    }
    aside nav a {
        font-size: 18px;
        color: var(--www);
        padding: 8px;
        text-shadow: 0 0 5px var(--shd);
    }
    aside nav a:hover {
        letter-spacing: 2.5px;
        color: var(--main);
        text-shadow: none;
    }
}

@media (min-width: 850px) {
    header {
        width: 100%;
        padding: 7px 15px;
        background-color: var(--www);
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
    }
    header.scroll {
        padding: 12px 20px;
        box-shadow: 0 0 10px var(--shd);
    }
    header .btn {
        border-radius: 30px;
        font-size: 14px;
    }
    header img {
        height: 36px;
    }
    header nav a {
        color: var(--main);
        padding: 5px;
        margin: 0px;
        font-size: 16px;
        font-weight: 600;
    }
    header nav a:hover {
        color: var(--sub);
    }
    .btn-sider,
    aside {
        display: none;
    }
}

@media (min-width: 1050px) {
    header {
        width: 100%;
        padding: 7px 25px;
        background-color: var(--www);
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
    }
    header.scroll {
        padding: 12px 35px;
        box-shadow: 0 0 10px var(--shd);
    }
    header .btn {
        border-radius: 30px;
        font-size: 18px;
    }
    header img {
        height: 40px;
    }
    header nav a {
        color: var(--main);
        padding: 5px;
        margin: 5px;
        font-size: 18px;
    }
    header nav a:hover {
        color: var(--sub);
    }
    .btn-sider,
    aside {
        display: none;
    }
}

footer {
    background-color: #111;
    color: var(--www);
}

footer h1 {
    width: 100%;
    padding-left: 20px;
    color: var(--main);
}

footer hr {
    width: 100%;
    height: 3px;
    background-color: var(--main);
    border: none;
}

.footer {
    width: 100%;
}

.footer section {
    width: 280px;
}

.footer section ul li a {
    color: var(--www);
}

.footer section ul li a:hover {
    text-decoration: underline;
    color: var(--main);
}

.footer section ul li {
    list-style: none;
    padding: 7px;
}

.footer .logo {
    width: 300px;
}

.footer .logo img {
    width: 100%;
}

.footer .logo .links {
    text-align: center;
    margin-top: 12px;
}

.footer .logo .links a {
    color: var(--main);
    margin: 8px;
    font-size: 28px;
}